Bug 1406920 - libxml2 should no longer use PyVerify_fd
libxml2 should no longer use PyVerify_fd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-21 15:36 EST by Kevin Fenzi
Modified: 2018-02-14 12:08 EST (History)
5 users (show)

See Also:
Fixed In Version: libxml2-2.9.7-1.fc27 libxml2-2.9.7-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-30 13:06:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2016-12-21 15:36:47 EST
When libxml2 is rebuilt with python3.6 all things that use it's bindings get: 

Python 3.6.0rc1 (default, Dec 10 2016, 14:50:33) 
[GCC 6.2.1 20160916 (Red Hat 6.2.1-2)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import libxml2
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python3.6/site-packages/libxml2.py", line 1, in <module>
    import libxml2mod
ImportError: /usr/lib64/python3.6/site-packages/libxml2mod.so: undefined symbol: _PyVerify_fd
>>> 

This is due to upstream python dropping this symbol: 

http://bugs.python.org/issue23524

I am not 100% sure here, but it looks like they dropped it in favor of just returning an error when an invalid fd is used. As a quick hack to get things working again in rawhide I have commited a simple patch that removes the call. 

Sorry if that breaks anything else or isn't the proper fix.
Comment 1 Fedora End Of Life 2017-02-28 05:50:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 2 Rex Dieter 2017-04-11 09:14:53 EDT
Kevin, you committed a workaround,

https://src.fedoraproject.org/cgit/rpms/libxml2.git/commit/?id=05bd5b911b635683e37431e9757284779b820072

Can we close this bug or would you rather keep it open for tracking purposes?
Comment 3 Kevin Fenzi 2017-04-11 11:28:09 EDT
Well, the patch was super hacky, so I was hoping to have the maintainer talk to upstream about it or confirm that it was the right fix. 

I suppose we could close it, but perhaps should file an upstream bug so someday this might be fixed better or in an upstreamable way?
Comment 4 Rex Dieter 2017-04-15 11:33:21 EDT
OK, agreed (marking MoveUpstream)
Comment 5 Jan Kurik 2017-08-15 03:50:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 6 Fedora Update System 2018-01-24 02:28:18 EST
libxml2-2.9.7-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-db610fff5b
Comment 7 Fedora Update System 2018-01-24 02:28:52 EST
libxml2-2.9.7-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a6b59d8f78
Comment 8 Fedora Update System 2018-01-25 02:54:33 EST
libxml2-2.9.7-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a6b59d8f78
Comment 9 Fedora Update System 2018-01-25 03:37:14 EST
libxml2-2.9.7-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-db610fff5b
Comment 10 Fedora Update System 2018-01-30 13:06:45 EST
libxml2-2.9.7-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2018-02-14 12:08:55 EST
libxml2-2.9.7-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.